Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.office
Class TableReader

    java.lang.Object
      writer2latex.office.TableReader

    public class TableReader

extends java.lang.Object

This class reads a table from a table:table or table:sub-table element and presents it as an n by m grid. In addition it gives access to the absolute and relative widths of tables, columns and cells.

Field Summary
`private java.util.LinkedList` | `cells`
`private java.util.LinkedList` | `cols`
`private int` | `nMaxCols`
`private int` | `nMaxRows`
`private OfficeReader` | `ofr`
`private java.util.LinkedList` | `rows`
`private java.lang.String[]` | `sColWidth`
`private java.lang.String[]` | `sRelColWidth`
`private java.lang.String` | `sRelTableWidth`
`private java.lang.String` | `sTableWidth`
`private org.w3c.dom.Element` | `tableNode`

Constructor Summary
`TableReader(OfficeReader ofr, org.w3c.dom.Element tableNode)` The constructor reads a table from a table:table or table:sub-table node.

Method Summary
`org.w3c.dom.Node` | `getCell(int nRow, int nCol)`
`java.lang.String` | `getCellStyleName(int nRow, int nCol)`
`java.lang.String` | `getCellWidth(int nRow, int nCol)`
`TableLine` | `getCol(int nCol)`
`int` | `getColCount()`
`java.lang.String` | `getColumnWidth(int nCol)`
`int` | `getFirstBodyRow()`
`int` | `getMaxColCount()`
`int` | `getMaxRowCount()`
`java.lang.String` | `getRelColumnWidth(int nCol)`
`java.lang.String` | `getRelTableWidth()`
`TableLine` | `getRow(int nRow)`
`int` | `getRowCount()`
`java.lang.String` | `getTableName()`
`java.lang.String` | `getTableStyleName()`
`java.lang.String` | `getTableWidth()`
`boolean` | `isSubTable()`
`private void` | `readTableColumn(org.w3c.dom.Node node, boolean bHeader, boolean bDisplay)`
`private void` | `readTableColumnGroup(org.w3c.dom.Node node, boolean bHeader, boolean bDisplay)`
`private void` | `readTableColumns(org.w3c.dom.Node node, boolean bHeader, boolean bDisplay)`
`private void` | `readTableHeaderColumns(org.w3c.dom.Node node, boolean bHeader, boolean bDisplay)`
`private void` | `readTableHeaderRows(org.w3c.dom.Node node, boolean bHeader, boolean bDisplay)`
`private void` | `readTableRow(org.w3c.dom.Node node, boolean bHeader, boolean bDisplay)`
`private void` | `readTableRowGroup(org.w3c.dom.Node node, boolean bHeader, boolean bDisplay)`
`private void` | `readTableRows(org.w3c.dom.Node node, boolean bHeader, boolean bDisplay)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ofr

    private OfficeReader ofr

### tableNode

    private org.w3c.dom.Element tableNode

### cols

    private java.util.LinkedList cols

### rows

    private java.util.LinkedList rows

### cells

    private java.util.LinkedList cells

### nMaxCols

    private int nMaxCols

### nMaxRows

    private int nMaxRows

### sColWidth

    private java.lang.String[] sColWidth

### sRelColWidth

    private java.lang.String[] sRelColWidth

### sTableWidth

    private java.lang.String sTableWidth

### sRelTableWidth

    private java.lang.String sRelTableWidth

Constructor Detail

### TableReader

    public TableReader(OfficeReader ofr,
                       org.w3c.dom.Element tableNode)

  The constructor reads a table from a table:table or table:sub-table node.

  Parameters:
    `ofr` - the OfficeReader object to get style information from
    `tableNode` - the table node

Method Detail

### readTableColumn

    private void readTableColumn(org.w3c.dom.Node node,
                                 boolean bHeader,
                                 boolean bDisplay)

### readTableColumns

    private void readTableColumns(org.w3c.dom.Node node,
                                  boolean bHeader,
                                  boolean bDisplay)

### readTableColumnGroup

    private void readTableColumnGroup(org.w3c.dom.Node node,
                                      boolean bHeader,
                                      boolean bDisplay)

### readTableHeaderColumns

    private void readTableHeaderColumns(org.w3c.dom.Node node,
                                        boolean bHeader,
                                        boolean bDisplay)

### readTableRow

    private void readTableRow(org.w3c.dom.Node node,
                              boolean bHeader,
                              boolean bDisplay)

### readTableRows

    private void readTableRows(org.w3c.dom.Node node,
                               boolean bHeader,
                               boolean bDisplay)

### readTableRowGroup

    private void readTableRowGroup(org.w3c.dom.Node node,
                                   boolean bHeader,
                                   boolean bDisplay)

### isSubTable

    public boolean isSubTable()

### readTableHeaderRows

    private void readTableHeaderRows(org.w3c.dom.Node node,
                                     boolean bHeader,
                                     boolean bDisplay)

### getTableName

    public java.lang.String getTableName()

### getTableStyleName

    public java.lang.String getTableStyleName()

### getTableWidth

    public java.lang.String getTableWidth()

### getRelTableWidth

    public java.lang.String getRelTableWidth()

### getRowCount

    public int getRowCount()

### getMaxRowCount

    public int getMaxRowCount()

### getFirstBodyRow

    public int getFirstBodyRow()

### getColCount

    public int getColCount()

### getMaxColCount

    public int getMaxColCount()

### getColumnWidth

    public java.lang.String getColumnWidth(int nCol)

### getRelColumnWidth

    public java.lang.String getRelColumnWidth(int nCol)

### getCell

    public org.w3c.dom.Node getCell(int nRow,
                                    int nCol)

### getCellStyleName

    public java.lang.String getCellStyleName(int nRow,
                                             int nCol)

### getCellWidth

    public java.lang.String getCellWidth(int nRow,
                                         int nCol)

### getRow

    public TableLine getRow(int nRow)

### getCol

    public TableLine getCol(int nCol)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD